<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset=utf-8>
  <title></title>
  
  <script type="text/javascript">
    // Assume websocket is on an adjacent port.
    const url = new URL(window.location.href);
    url.port = 5001;

    const request = new XMLHttpRequest();
    request.open('GET', url);
    request.withCredentials = true;
    request.send();
    
    const wssUrl = new URL(url);
    wssUrl.protocol = 'wss';
    wssUrl.pathname = '/ws';
    const ws = new WebSocket(wssUrl.toString());
    ws.onopen = (event) => {
        document.write('websocket connected!');
        ws.close();
    };
    ws.onerror = (event) => {
        document.write('failed to connect to websocket!');
    };
  </script>
</head>
<body>

</body>
</html>